Bug 27939 - Update yarn.lock file
Summary: Update yarn.lock file
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-12 08:29 UTC by Jonathan Druart
Modified: 2021-03-23 10:15 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27939: Update yarn.lock file (31.39 KB, patch)
2021-03-12 08:30 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27939: Update yarn.lock file (31.51 KB, patch)
2021-03-12 16:27 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27939: Update yarn.lock file (31.58 KB, patch)
2021-03-13 15:57 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2021-03-12 08:29:51 UTC
There is a minor security vulnerability, it is good to fix it even if there is no impact on security: yarn is only used for dev purpose.

The the logs of https://wiki.koha-community.org/wiki/Development_IRC_meeting_24_February_2021
Comment 1 Jonathan Druart 2021-03-12 08:30:27 UTC
Created attachment 118180 [details] [review]
Bug 27939: Update yarn.lock file

There is a minor security vulnerability, it is good to fix it even if there is no impact on security: yarn is only used for dev purpose.

The the logs of https://wiki.koha-community.org/wiki/Development_IRC_meeting_24_February_2021
Comment 2 Jonathan Druart 2021-03-12 08:32:42 UTC
It generates some changes on the compiled CSS files.
Comment 3 Jonathan Druart 2021-03-12 08:38:22 UTC
Looks like:
- no-repeat is moved
- Sans,Liberation is added
- some changes about "overflow:visible"
- added -webkit-sticky!important
Comment 4 Martin Renvoize 2021-03-12 16:27:34 UTC
Created attachment 118214 [details] [review]
Bug 27939: Update yarn.lock file

There is a minor security vulnerability, it is good to fix it even if there is no impact on security: yarn is only used for dev purpose.

The the logs of https://wiki.koha-community.org/wiki/Development_IRC_meeting_24_February_2021

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

https://bugs.koha-community.org/show_bug.cgi?id=27938
Comment 5 Martin Renvoize 2021-03-12 16:29:10 UTC
Builds work as expected, CSS changes as expected.

I've played with the OPAC and Staff clients and can't spot any obvious issues.

Signing off
Comment 6 Katrin Fischer 2021-03-13 15:57:35 UTC
Created attachment 118219 [details] [review]
Bug 27939: Update yarn.lock file

There is a minor security vulnerability, it is good to fix it even if there is no impact on security: yarn is only used for dev purpose.

See the logs of https://wiki.koha-community.org/wiki/Development_IRC_meeting_24_February_2021

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

https://bugs.koha-community.org/show_bug.cgi?id=27938

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Jonathan Druart 2021-03-16 15:11:14 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 8 Fridolin Somers 2021-03-19 15:25:14 UTC
Should we backport this ?
Comment 9 Jonathan Druart 2021-03-23 10:15:18 UTC
I'd say you could backport it but wait for one more month, in case we find a UI bug.